Subject: RE: Problems with RSH & SSH
From: Roland Schwingel <[email-masked]>
To: [email-masked]
Date: Tue, 23 Jul 2002 09:43:07 +0200

Hi...

Thanks for your reply... Yesterday I was able to solve at least the ssh 
problem...

I installed the service using this command
cygrunsrv -I sshd -d "sshd" -f "This service provides SSH" -p 
/usr/sbin/sshd -a -d -e '"CYGWIN=binmode ntsec tty"'

The problem was the -d flag (after the -a). It tells sshd to run in 
debug mode. I wanted to set -D for deamon mode.
In debug mode the process is not forking. So it exits after executing 
the command. Now ssh runs fine under all conditions!
What a stupid typo. With -D everything runs very well.

For rsh I am still having my problems. But with sshd running I can solve 
my problems, even it is a bit more difficult
for the clients

For anyone interested in my rshd problems... I downloaded the rshd/inetd 
sources and started out to debug a bit.
The problem for rsh is that all homeaccounts reside on a UNC shares. In 
/etc/passwd it reads for me
//raid1/Entwicklung/User/roland

And that appears to be the problem for rshd. It tries to make a chdir() 
on my homeaccount which fails.
(Whereas the UNC path for my homedirectory is perfectly working for 
ssh.) I made a little patch to rshd to bypass
that check, so I was able to start local commands but I was not able to 
get the stdout output of the command I
was starting with rsh.

So a
rsh localhost ls
resulted in no output on my console. But the command is executed. For 
example a
rsh localhost cp /bin/bash.exe /tmp
produces the correct result. The bash is copied to /tmp

Roland

    "Harig, Mark A." <[email-masked]>
    Sent by: [email-masked]
    23.07.2002 00:03
        
         To: "Roland Schwingel" <[email-masked]>, 
"cygwin" <[email-masked]>
         cc:
         Subject: RE: Problems with RSH & SSH

Can you provide more detail?

1. How did you configure your ssh server?
2. What command did you use to install the ssh server?
3. What command did you use to start the ssh server?
4. What file system are your running on your disk?
5. What are the permissions of your home directory?
6. What are the permissions of the .ssh directory in your home
directory?
7. What are the permissions of the private files in your .ssh directory?
8. Have you tried connecting to your server locally using "ssh
<localserver>"?
9. What is the log of the output for "ssh -v <localserver>"?
10. Does /var/log/sshd.log provide any clues?

 > -----Original Message-----
 > From: Roland Schwingel [mailto:[email-masked]]
 > Sent: Thursday, July 11, 2002 8:10 AM
 > To: cygwin
 > Subject: Problems with RSH & SSH
 >
 >
 > Hi....
 >
 > I played for a couple of hours to activate rsh/ssh on my
 > cygwin. But I got
 > a couple of problems.
 >
 > My system is running W2k SP2 with actual cygwin (see small
 > list below).
 > My Homeaccount resides on a network drive served by a linux
 > samba machine
 > and I am doing domain logons with an NT Server.
 >
 > Versionnumbers of relevant packages installed:
 > cygrunsrv           0.95-1
 > cygwin              1.3.12-2
 > inetutils           1.3.2-18
 > openssh             3.4p1-4
 >
 > I have setup inetd as I usally do it on a Unix box. inetd.conf and
 > hosts.equiv are set up correctly Telnet and FTP appear to work
 > correctly. Login is no problem with any user  I like. I can access
 > eg my Homeacount without problem. Really lovely.
 > But when doing a
 > rsh localhost ls
 > (or whatever I like to do no matter from the local machine or a
 > remotemachine) I get this:
 > oppenheim: No remote directory.
 > (oppenheim is the name of my host).
 >
 > It seems to me it cannot find the Homedirectory.
 > Eventviewer shows:  roland@oppenheim as roland: no home directory.
 > cmd='ls'.
 > /var/log/inetd.log shows:
 > someone wants shell
 > accept, ctrl 3
 > + Closing from 18
 > 1092 execl /usr/sbin/in.rshd
 > 1092 reaped, status 0x100
 >
 > Where is the error?
 >
 > How did I start inetd someone might ask:
 > mkpasswd -l -d >/etc/passwd
 > cygrunsrv -I inetd -d "inetd" -f "This service provides
 > ftp,telnet,rsh,rcp" -p /usr/sbin/inetd -a -d -e
 > "CYGWIN=binmode ntsec tty"
 > cygrunsrv -S inetd
 >
 > So I switched to ssh...
 > I installed everything like on a Unix box (keys, permissions etc) and
 > started it similar to inetd (see above)
 > It runs but only one time.When doing a
 > ssh localhost ls
 > (or any other command)
 > I get the correct result but afterwards the service (sshd) dies.
 >
 > Any ideas? Thanks in advance..
 >
 > Roland

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/